Bug 20878 - [XQX30] functionDecl
Summary: [XQX30] functionDecl
Alias: None
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: XQueryX 3.0 (show other bugs)
Version: Candidate Recommendation
Hardware: PC Windows NT
: P2 normal
Target Milestone: ---
Assignee: Jim Melton
QA Contact: Mailing list for public feedback on specs from XSL and XML Query WGs
Depends on:
Reported: 2013-02-05 16:09 UTC by Tim Mills
Modified: 2013-07-30 10:02 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description Tim Mills 2013-02-05 16:09:04 UTC
XQueryX 3.0 permits declaration of non-deterministic functions, whereas XQuery 3.0 does not.

 <xsd:attribute name="nondeterministic" use="optional"
                   type="xsd:boolean" default="false"/>
Comment 1 Jim Melton 2013-03-18 01:47:58 UTC
Indeed!  In addition, declaration of private functions was also permitted, while they are not in XQuery 3.0.  I have removed the ability to specify either. 

Thanks for this close observation!

I have marked this bug RESOLVED/FIXED.  If you agree, please mark it CLOSED.
Comment 2 Tim Mills 2013-05-07 16:18:34 UTC
Thanks.  I'm happy that this resolves the problem.